using System.Collections.Generic;

namespace skydiveLogs_api.Domain
{
    public class UserStats
    {
        #region Public Constructors

        public UserStats()
        {
            ByAircraft = new List<Statistic>();
            ByDz = new List<Statistic>();
            ByGear = new List<Statistic>();
            ByJumpType = new List<Statistic>();
            ByYear = new List<Statistic>();
            ForLastMonthByDz = new List<Statistic>();
            ForLastMonthByJumpType = new List<Statistic>();
            ForLastYearByDz = new List<Statistic>();
            ForLastYearByJumpType = new List<Statistic>();
            ByYearByJumpType = new List<Statistic>();
        }

        #endregion Public Constructors

        #region Public Properties

        public IEnumerable<Statistic> ByAircraft { get; set; }
        public IEnumerable<Statistic> ByDz { get; set; }
        public IEnumerable<Statistic> ByGear { get; set; }
        public IEnumerable<Statistic> ByJumpType { get; set; }
        public IEnumerable<Statistic> ByYear { get; set; }
        public IEnumerable<Statistic> ForLastMonthByDz { get; set; }
        public IEnumerable<Statistic> ForLastMonthByJumpType { get; set; }
        public IEnumerable<Statistic> ForLastYearByDz { get; set; }
        public IEnumerable<Statistic> ForLastYearByJumpType { get; set; }
        public IEnumerable<Statistic> ByYearByJumpType { get; set; }
        public int Id { get; set; }
        public User User { get; set; }

        #endregion Public Properties
    }
}